import Vue, { VNode } from 'vue';
import { TdPrimaryTableProps } from '../../type';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, {
    showColumnKeys: string[];
    showColumnCheckboxKeys: string[];
    isShowColumnsDlg: boolean;
}, {
    getShowColumns(columns: TdPrimaryTableProps['columns']): TdPrimaryTableProps['columns'];
    renderShowColumnsDlgFooter(): VNode;
    renderShowColumnsDlg(): VNode;
    renderShowColumns(): VNode;
    handleClickAllShowColumns(): void;
    handleConfirmShowColumnsDlg(): void;
    handleCancelShowColumnsDlg(): void;
    updateColumns(): void;
}, {
    showColumnCheckboxOpts: Record<string, any>;
    isAllShowColumns: boolean;
    isSomeShowColumns: boolean;
}, {
    columns: import("../../type").PrimaryTableCol<import("../../type").TableRowData>[];
    showColumns: boolean;
}>;
export default _default;
